
<?php 
// echo "<pre>";
// print_r($_GET);
// echo "</pre>"; 

error_reporting(0);
ini_set(“display_errors”, 0 );
include "../protege_professor.php";


function nome_quadra($id){
     include "../conexao.php";
     $queryquadra = "SELECT quadra FROM produto WHERE idproduto = $id";
     $execquadra = mysqli_query($db, $queryquadra);
     $x = mysqli_fetch_assoc($execquadra);
     return $x["quadra"];
}


function nome_lote($id){
     include "../conexao.php";
     $querylote = "SELECT lote FROM lote WHERE idlote = $id";
     $execlote = mysqli_query($db, $querylote);
     $y = mysqli_fetch_assoc($execlote);
     return $y["lote"];
}

function nome_empreendimento($id){
     include "../conexao.php";
     $querylote = "SELECT descricao_empreendimento AS nome FROM empreendimento INNER JOIN empreendimento_cadastro ON idempreendimento = idempreendimento_cadastro WHERE idempreendimento = $id";
     $execlote = mysqli_query($db, $querylote);
     $y = mysqli_fetch_assoc($execlote);
     return $y["nome"];
}

?>


<script type="text/javascript">

     function excluir(){

          document.nome.action = "excluir_contatos.php";
          document.nome.submit();

   }

   function baixar(){

          document.nome.action = "baixar_contatos.php";
          document.nome.submit();

   }

</script>
<!-- begin #page-loader -->

<?php  

$inicio                   = $_GET["inicio"];
$fim                      = $_GET["fim"];

$aberta_por        = $_GET["aberta_por"];
$ocorrencia_para   = $_GET["ocorrencia_para"];
$empreendimento_id = $_GET["empreendimento_id"];
$status_ocorrencia = $_GET["status_ocorrencia"];
$idimovel          = $_GET["idimovel"];


$where = "idocorrencia > 0";

if($inicio != '' AND $fim != ''){
      $where .= " AND STR_TO_DATE(data_ocorrencia, '%d-%m-%Y') BETWEEN  '".$inicio."' and '".$fim."' ";
}

if($aberta_por != ''){
      $where .= " AND cadastrado_por = ".$aberta_por;
}

if($ocorrencia_para != ''){
      $where .= " AND ocorrencia_para = ".$ocorrencia_para;
}

if($status_ocorrencia != ''){
      $where .= " AND status_ocorrencia = ".$status_ocorrencia;
}

if($idimovel != ''){
     $where .= " AND imovel_id = ".$idimovel;
}

if($empreendimento_id != ''){
     $where .= " AND empreendimento_id = ".$empreendimento_id;
}

$html = '';        

$html .= "<table style='width:100%' border='0'>
<tr>
<td colspan='2'>$image</td>
<td colspan='2' style='text-align: right'>Caldas Novas, $dia_hoje de $nome_mes de $ano_hoje<br><font style='font-size: 10px'> Emitidor por.: $usu</font></td>
</tr>
<tr>
<td colspan='4' style='text-align: center; font-weight: bold;'>RELATÓRIO DE OCORRÊNCIAS</td>
</tr>
<tr>
<td colspan='2'><span style='font-weight: bold'>Cliente</span>: $rel_nome_cli</td>

</tr>
<tr>
<td colspan='3'><span style='font-weight: bold'>Empreendimento</span>: $rel_empreendimento</td>
<td><span style='font-weight: bold'>Q:</span> $rel_quadra / <span style='font-weight: bold'>L:</span> $rel_lote</td>
</tr>
<tr>
<td colspan='2'><span style='font-weight: bold'>Periodo</span>: $rel_periodo / <strong>Tipo Periodo</strong> $rel_tipo_periodo </td>
<td><span style='font-weight: bold'>Situação :</span> $rel_situacao</td>
<td><span style='font-weight: bold'>Nº Lanc</span>: $rel_numero_lancamento <strong> Nº Baixa: </strong>$rel_numero_baixa</td>
</tr>
</table><br>";



$html .=  "<table id='data-table'>
<thead>
<tr bgcolor='#b8b8b8'>
<th>Cod</th>
<th>Titulo</th>
<th>Descrição</th>
<th>Empreendimento</th>
<th>Quadra</th>
<th>Lote</th>
<th>Data</th>
<th>Aberta Por:</th>
<th>Ocorrencia Para:</th>
<th>Status</th>
<th>Anexo</th>
<th></th>
</tr>
</thead>
<tbody>";


include "../conexao.php";

             //se for administrador
$query_amigo = "SELECT * FROM ocorrencia WHERE $where order by status_ocorrencia, idocorrencia desc";
echo $query_amigo;

                 // echo $query_amigo; die();

$executa_query = mysqli_query ($db,$query_amigo) or die ("Erro Ocorrencias");

            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos

               $idocorrencia       = $buscar_amigo['idocorrencia'];

               //echo $idocorrencia;
              // $titulo             = $buscar_amigo["titulo"];
              // $descricao          = $buscar_amigo['descricao'];
              // $data_ocorrencia    = $buscar_amigo["data_ocorrencia"];
              // $cadastrado_por     = $buscar_amigo["cadastrado_por"];
              // $status_ocorrencia  = $buscar_amigo["status_ocorrencia"];
              // $ocorrencia_para    = $buscar_amigo["ocorrencia_para"];
              // $quadra             = $buscar_amigo["quadra_id"];
              // $lote               = $buscar_amigo["lote_id"];
              // $ocorrencia_para_grupo = $buscar_amigo["ocorrencia_para_grupo"];
              // $idemp = $buscar_amigo["empreendimento_id"];
              // $nome_quadra = nome_quadra($quadra);
              // $nome_lote   = nome_lote($lote);
              // $nome_empreendimento = nome_empreendimento($idemp);

              $html .=  "<tr>
              <td><?php echo $idocorrencia ?>kkkk</td>
              </tr>";

       }


       $html .= "</tbody></table>";

       echo $html;
       ?>